xcb_xkb_latch_lock_state(3)

NAME
xcb_xkb_latch_lock_state -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_latch_lock_state(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, uint8_t affectModLocks, uint8_t modLocks, uint8_t lockGroup, uint8_t groupLock, uint8_t affectModLatches, uint8_t latchGroup, uint16_t groupLatch);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

affectModLocks
    TODO: NOT YET DOCUMENTED.

modLocks
    TODO: NOT YET DOCUMENTED.

lockGroup
    TODO: NOT YET DOCUMENTED.

groupLock
    TODO: NOT YET DOCUMENTED.

affectModLatches
    TODO: NOT YET DOCUMENTED.

latchGroup
    TODO: NOT YET DOCUMENTED.

groupLatch
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop.

If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_latch_lock_state_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.